@echo off
echo Default NVS for LA56 (V 0.01)
MBD /Rf nvs.txt
MBD /Wf NVS.CLR

rem *************** MTM ***************
set MTM="MTMMTM"
rem *************** Serial Number ***************
set SN="Serialnumber"
rem *************** Product Name ****************
set Product="Lenovo Ideapad V560"
rem *************** Lenovo SN *****************
set LSN=LENOVOSN
rem *************** UUID *****************
rem set UUID=0123456789ABCDEF0123456789ABCDEF
rem *********************************************

echo Writing MTM...
MBD /Ws 30 %MTM%

echo Writing Serial Number...
MBD /Ws 40 %SN%

echo Writing product name...
rem MBD /Ws 60 %Product%

echo Writing Lenovo SN...
MBD /Ws 90 %LSN%

echo Writing UUID...
rem MBD /Wh E0 %UUID%

set GUID=
set SN=
set Product=
set USN=
set UUID=

echo Verifying NVS...
MBD /CHK 00 10 > nul
MBD /CHK 20 10 > nul
MBD /CHK 30 10 > nul
MBD /CHK 40 20 > nul
MBD /CHK 60 20 > nul
MBD /CHK 90 40 > nul

goto OK

:OK
echo Done!

:end